Set team alignment card
curl --request PUT \
--url https://api.mnemom.ai/v1/teams/{team_id}/card \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"principal": {},
"values": {
"declared": [
{}
]
},
"autonomy_envelope": {},
"audit_commitment": {}
}
'import requests
url = "https://api.mnemom.ai/v1/teams/{team_id}/card"
payload = {
"principal": {},
"values": { "declared": [{}] },
"autonomy_envelope": {},
"audit_commitment": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
principal: {},
values: {declared: [{}]},
autonomy_envelope: {},
audit_commitment: {}
})
};
fetch('https://api.mnemom.ai/v1/teams/{team_id}/card', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"card_id": "<string>",
"team_id": "<string>",
"card_source": "manual",
"issued_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Teams
Set team alignment card
Manually set an alignment card for a team.
PUT
/
teams
/
{team_id}
/
card
Set team alignment card
Authorizations
BearerAuthApiKeyAuth
Supabase JWT token in Authorization: Bearer header
Path Parameters
Team identifier (UUID)
Body
application/json
⌘I